/* **********************************************************
 * ELEMENT STYLES
 * ******************************************************** */

/* *****************************
 * BUTTON ADDITIONAL STYLING
 * *************************** */
.elementor-widget-button .elementor-button,
.ha-tab__content a {
    background-color: transparent !important;
    padding: 0 !important;
    border: none !important;
    display: inline-flex;
    align-items: center;
	position: relative;
	transition: all .5s ease-in-out;	
}

/* Button Icon BG */
.elementor-widget-button .elementor-button::after,
.ha-tab__content a::after {
    content: '\f138';
    font-family: 'FontAwesome';
    font-weight: 700;
    margin-left: 10px;
    font-size: 2.15rem;
    color: #0071BC; /* Icon BG Color */
    position: relative;
    z-index: 2;
    transition: all .5s ease-in-out;
}

/* Button Icon */
.elementor-widget-button .elementor-button::before,
.ha-tab__content a::before {
    content: ''; /* Empty content for the background circle */
    position: absolute;
    right: 2px;
    margin-left: 0;
    width: 1.75rem;
    height: 1.75rem;
    background-color: #FFF; /* Icon Color */
    border-radius: 50%;
    z-index: 1;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: all .5s ease-in-out;
}
.elementor-widget-button .elementor-button:hover::after,
.ha-tab__content a:hover:after {
    color: #29ABE2; /* Icon BG Color */
}
.elementor-widget-button .elementor-button:hover::before,
.ha-tab__content a:hover:before {
	background-color: #FFF; /* Icon Color */
}

@media (min-width: 1920px) {
	.elementor-widget-button .elementor-button::after,
	.ha-tab__content a::after {
		font-size: 2rem;
	}
	.elementor-widget-button .elementor-button::before,
	.ha-tab__content a::before {
		width: 1.5rem;
		height: 1.5rem;
	}
}

/* WHITE BUTTON */
.elementor-widget-button.white .elementor-button,
.elementor-widget-button.white .elementor-button:hover,
.ha-tab__content a {
	color: #fff !important;
}
/* Button Icon BG */
.elementor-widget-button.white .elementor-button::after {
    color: #FFF; /* Icon BG Color */
    position: relative;
    z-index: 2;
	transition: all .5s ease-in-out;
}
/* Button Icon */
.elementor-widget-button.white .elementor-button::before {
    background-color: #29ABE2; /* Icon Color */
}
.elementor-widget-button.white .elementor-button:hover::after {
    color: #FFF; /* Icon BG Color */
}
.elementor-widget-button.white .elementor-button:hover::before {
	background-color: #0071BC; /* Icon Color */
}



/* ******************************
 * ELEMENTOR MOTION EFFECTS TRANSITION
 * *************************** */
.elementor-element .elementor-widget-container.elementor-motion-effects-element {
    transition-duration: 2s;
}


/* *****************************
 * ELEMENT PADDING & MARGINS
 * *************************** */
.element-margin-bottom-0.elementor-element {
	margin-bottom: 0 !important;	
}


/* ******************************
 * BANNERS WITH OVERLAYS
 * *************************** */
.banner-overlay .jet-banner__overlay {
    mix-blend-mode: multiply;
    transition: all .5s ease-in-out;	
}
.banner-overlay .elementor-jet-banner {
	overflow: hidden;
}
.banner-overlay .elementor-jet-banner .jet-banner__img {
  transition: transform 1s, filter 2s ease-in-out;
  filter: blur(0px);
  transform: scale(1.0);
}
.banner-overlay .elementor-jet-banner:hover .jet-banner__img {
  transition: transform 1s, filter 2s ease-in-out;
  filter: blur(2px);
  transform: scale(1.1);
}
.banner-overlay .elementor-jet-banner:hover i {
	border-bottom: 2px solid #fff;
	padding-bottom: .5rem;
}

@media (max-width: 767px) {
	/* BANNER OVERLAY */
	.banner-overlay .elementor-jet-banner .jet-banner__img {
		transform: scale(1.65);	
	}	
	.banner-overlay .elementor-jet-banner:hover .jet-banner__img {
		transform: scale(1.75);	
	}	
}


/* ******************************
 * BLOG LISTING GRID SLIDER
 * *************************** */
.blog-slider .jet-listing-grid .jet-engine-listing-overlay-wrap .elementor-inner {
    height: 100%;
}
.blog-slider .blog-card .section-col .elementor-widget-wrap.elementor-element-populated {
    flex-direction: column;
}
.blog-slider .blog-card .section-col .inner-section-content {
    margin-bottom: auto;
}
.blog-slider .blog-card .elementor-container.elementor-column-gap-default {
    width: 100%;
}
.blog-slider .blog-card .inner-section-content {
    margin-bottom: 2rem;
}
.blog-slider .blog-card .blog-title {
    height: auto !important;	
	margin-bottom: 0 !important;
}
.blog-slider .blog-card .blog-title .elementor-widget-container {
    height: auto !important;
}


/* SET SAME HEIGHT */
.blog-slider .slick-track  {
	display: flex !important;	
}
.blog-slider .jet-listing-grid__item {
    height: auto !important;
} 
.blog-slider .blog-card {
    display: flex;	
	height: 100%;
}
.blog-slider .jet-listing-grid__item,
.blog-slider .jet-listing-grid__item .jet-engine-listing-overlay-wrap,
.blog-slider .jet-listing-grid__item .jet-engine-listing-overlay-wrap > div,
.blog-slider .jet-listing-grid__item .jet-engine-listing-overlay-wrap > div .elementor-section-wrap,
.blog-slider .jet-listing-grid__item .jet-engine-listing-overlay-wrap > div .elementor-section-wrap .blog-card {
  height: 100%;
}

/* No Padding on Bottom Button */
.page-template-full-width .jupiterx-main .elementor-section.elementor-section-boxed.inner-section-link .elementor-container,
.page-template-full-width .jupiterx-main .elementor-section.elementor-section-boxed.inner-section-link .elementor-container .elementor-widget-wrap {
    padding: 0 !important;
}
.blog-slider .inner-section-link {
    position: absolute !important;
    bottom: 0;
}


/* ******************************
 * PRODUCT LISTING GRID SLIDER
 * *************************** */
.product-slider .product-card {
    display: flex;	
}
.product-slider .product-card .section-col .elementor-widget-wrap.elementor-element-populated {
    flex-direction: column;
}
.product-slider .product-card .section-col .inner-section-content {
    margin-bottom: 3rem;
}
.product-slider .product-card .elementor-container.elementor-column-gap-default {
    width: 100%;
}
.product-slider .product-card .inner-section-content {

}
.product-slider .product-card .product-title {
	margin-bottom: 0 !important;
}
.product-slider .product-card .product-desc {

}
.product-slider .inner-section-link {
    position: absolute !important;
    bottom: 0;
}

/* ******************************
 * DEFAULT PAGER - SEARCH RESULTS, ETC
   NOTE: You CAN typically style the element directly
 * *************************** */
/* Default Pager - Search Results, etc */
.page-item.active .page-link {
    color: #fff;
    background-color: #555 !important;
    border-color: #111 !important;
}


/* ******************************
 * IMAGE GRID GALLERY LIGHTBOX
 * *************************** */
.mfp-close {
	font-size: 24px !important;
}
/* Kill Close & Arrow Background Hover Color */
.mfp-arrow,
.mfp-close:hover {
	background-color: transparent !important;
	border: none !important;
}

/* Hide Lightbox Alt Text Caption
 .mfp-bottom-bar .mfp-title { 
	display: none; 
} */


/* ******************************
 * FLIP BOX
 * *************************** */
@media (max-width: 1024px) {		
	/* Fix for iOS z-index like bug - Flip Boxes cover Header, Mobile Menu, etc */
	.ios .ha-flip-box-container.ha-flip-effect-3d .ha-flip-box-back-inner, 
	.ios .ha-flip-box-container.ha-flip-effect-3d .ha-flip-box-front-inner {
		-webkit-transform: translateZ(0px) scale(.9) !important;
		transform: translateZ(0px) scale(.9) !important;
	}
}

@media (max-width: 767px) {
	/* FLIP BOX IOS FIX - not all but Design 9 caused Flip Box to appear on top of Header  */
	.ios .flip-boxes-icon-title-txt .ha-flip-box-container.ha-flip-effect-3d .ha-flip-box-inner-wrapper {
	  -webkit-transform-style: flat;
	  transform-style: preserve-3d;
	}	
}


/* ******************************
 * GOOGLE MAPS
 * *************************** */
.gm-style iframe + div {
    border: 0 !important;
}


/* ******************************
 * BACKGROUND OVERLAY for iPHONE - Add Class if Needed
 * *************************** */
@media (max-width: 767px) {
	/* Overlay */
	.responsive-phone-overlay-opacity .elementor-background-overlay {
		opacity: .7 !important;
	}
}


/* ******************************
 * JET HEADLINE
 * *************************** */
span.jet-headline__space {
    line-height: 1px;
}


/* ******************************
 * ICON LIST CENTERED ON MOBILE - add class mobile-center
 * *************************** */
@media (max-width: 767px) {
	.mobile-center .elementor-icon-list-item,
	.mobile-center .elementor-icon-list-item a {
		text-align: center !important;
	}
}


/* *****************************
 * JUPITER RAVEN ADVANCED VIDEO ELEMENT
 * *************************** */
.raven-video-mejs-player {
    z-index: 9000 !important;
    display: block;
    background: rgba(0,0,0,.9) !important;
}
.raven-video-mejs-player .raven-video-mejs-player {
	z-index: 9000 !important;
}

/* Keep Header, Scroll Buttons, Hero Overlay Behind Popup*/
.mejs-fullscreen header.jupiterx-header,
.safari.mejs-fullscreen header.jupiterx-header,
.mejs-fullscreen .ha-has-bg-overlay>.elementor-widget-container,
.safari.mejs-fullscreen .ha-has-bg-overlay>.elementor-widget-container,
.mejs-fullscreen .jupiterx-corner-buttons {
	z-index: 0;
}


/* *****************************
 * IMAGE SLIDER
 * *************************** */
.elementor-slideshow__title {
	display: none;
}
.raven-skin-coverflow .raven-main-swiper {
	height: 45rem !important;
}

@media (max-width: 1024px) {
	.raven-skin-coverflow .raven-main-swiper {
		height: 40rem !important;
	}
}
.elementor-widget-image-carousel .swiper-slide {
	padding: 25px;	
}
.elementor-image-carousel .swiper-slide-image {
    box-shadow: 0 0 20px rgba(0, 0, 0, .5);
}
.elementor-widget-image-carousel .elementor-swiper-button {
    top: 30% !important;
}

@media (max-width: 520px) {
	.slider-wrapper .elementor-element.elementor-arrows-position-outside .swiper-container {
		width: 100% !important;
	}
	.slider-wrapper>.e-con-inner {
		padding: 0 !important;
	}
	.elementor-widget-image-carousel .elementor-swiper-button {
	    font-size: 20px !important;
	}
}


/* ******************************
 * GOOGLE MAP
 * *************************** */
.google-map-html {
    position: relative !important;
    height: 100% !important;
    display: inline-flex;
    align-content: stretch !important;
    align-items: stretch !important;
    flex-direction: column !important;
}
.google-map-html .elementor-widget-container {
    position: relative !important;
    height: 100% !important;
    overflow: hidden;
    display: flex;
    align-content: stretch;
    align-items: stretch;
    min-height: 55vh;
}
.google-map-html iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100% !important;
    height: 100% !important;
    display: flex;
    align-items: stretch;
}
.google-map-html #map {
	position: initial !important; 
	overflow: visible !important;
}


/* ******************************
 * GOOGLE REVIEWS
 * *************************** */
.sb-feed-header-content {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    padding-bottom: 1rem;
}
.sb-feed-header span.sb-relative {
    font-size: 3rem !important;
	text-transform: uppercase;
}
.sbr-feed .sb-feed-header-btn {
    border-radius: 50px;
    font-weight: normal;
}
.sb-feed-posts {
  display: flex;
  flex-wrap: wrap;
}
.sb-post-item-wrap {
  width: calc(33.33% - 3rem) !important; /* for desktop, adjust for spacing */
  margin: 1.5rem; /* spacing between items */
  box-sizing: border-box;
  display: flex;
}


@media (max-width: 1024px) {
  .sb-post-item-wrap {
    width: calc(50% - 3rem) !important; /* for tablet, adjust for spacing */
	margin: 1.5rem; /* spacing between items */
  }
}

@media (max-width: 768px) {
	.sb-feed-header-content {
		display: flex;
		flex-direction: column;
		flex-wrap: wrap;
		padding-bottom: 1rem;
	}	
	.sb-feed-header .sb-feed-header-btn-ctn {
		float: left !important;
		margin-top: 2rem;		
	}	
  .sb-post-item-wrap {
    width: calc(100% - 2rem) !important; /* for mobile, adjust for spacing */
	  margin: 1rem; /* spacing between items */
  }
}

@media (max-width: 420px) {
	.sb-feed-header span.sb-relative {
		font-size: 2.675rem !important;
	}
}

